Skip to main content
GET
List device deployment events

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

deviceId
string
required

Device ID

Query Parameters

since
integer

Inclusive Unix timestamp in milliseconds based on Studio's server receive time.

Required range: x >= 0
limit
integer

Maximum number of results

offset
integer

Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

events
object[]
required

Device deployment events in newest-first order.

totalDeploymentEventCount
integer
required

Total number of deployment events for this device, before pagination.

error
string

Optional error description (set if 'success' was false)